%define upstream_name    Algorithm-Combinatorics
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Efficient generation of combinatorial sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Algorithm::Combinatorics is an efficient generator of combinatorial
sequences. Algorithms are selected from the literature (work in progress,
see the /REFERENCES manpage). Iterators do not use recursion, nor stacks,
and are written in C.

Tuples are generated in lexicographic order, except in 'subsets()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-14.mga6
+ Revision: 1022244
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.270.0-13.mga6
+ Revision: 956668
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.270.0-12.mga6
+ Revision: 846044
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.270.0-11.mga6
+ Revision: 844729
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.270.0-10.mga6
+ Revision: 841935
- Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.270.0-9.mga5
+ Revision: 789128
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.270.0-8.mga5
+ Revision: 744371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.270.0-7.mga5
+ Revision: 683440
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.270.0-6.mga5
+ Revision: 630786
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.270.0-5.mga4
+ Revision: 524691
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.270.0-4.mga4
+ Revision: 431363
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.270.0-3.mga3
+ Revision: 362847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.270.0-2.mga3
+ Revision: 250258
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.270.0-1.mga2
+ Revision: 211615
- update to 0.27

* Sun Nov 06 2011 kharec <kharec> 0.260.0-1.mga2
+ Revision: 164209
- imported package perl-Algorithm-Combinatorics


* Sun Nov 06 2011 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
